Search Hashtags
curl --request GET \
--url https://scrapebadger.com/v1/tiktok/search/hashtags \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/tiktok/search/hashtags"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/tiktok/search/hashtags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hashtags": [
{
"id": "229207",
"title": "fyp",
"description": "Videos on the For You feed.",
"cover": "https://p16-sign.tiktokcdn-us.com/hashtag.jpeg",
"video_count": 12000000,
"view_count": 55000000000000,
"is_commerce": false,
"url": "https://www.tiktok.com/tag/fyp"
}
],
"pagination": {
"has_more": true,
"cursor": "30",
"count": 30,
"search_id": null
},
"region": "US"
}Search
Search Hashtags
Search TikTok hashtags by keyword.
GET
/
v1
/
tiktok
/
search
/
hashtags
Search Hashtags
Each request costs 5 credits. Failed requests are not charged.
Authorizations
Query Parameters
Search keyword.
Content region (ISO 3166-1 alpha-2). Routes the request through a proxy and signer for that locale.
Maximum number of items to return (1-50).
Required range:
1 <= x <= 50Pagination cursor — pass the pagination.cursor value from a prior response to fetch the next page. Omit for the first page. It is an opaque composite token.

